Redmine - Feature #35014

Review and update supported database engines and versions
2021-04-03 08:37 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Database Estimated time: 0.00 hour
Target version: 6.0.0

Resolution: Fixed

Description

Supported database engines and versions were not been updated for a while and we should do it in Redmine 6.0.0.

Redmine version | Supported Ruby Rails version Recommended Databases
versions T PostgreSQL | MySQL MSSQL SQLite

trunk (>=r22053 |2.7, 3.0, 3.1, 3.2 |[Rails 6.1 14 8.0 -8.1 >2012 3

)

5.1 2.7,3.0,3.1,3.2 |Rails 6.1 >9.2 5.7-8.1 >2012 3

5.0 Ruby 2.5%, 2.6, |Rails 6.1 >9.2 57-5.7 >2012 3
2.7,3.0, 3.1

4.2 Ruby 2.4', 2.5", |Rails 5.2 >9.2 55-57 >2012 3
2.6,2.7°

Related issues:

Related to Redmine - Defect #39437: MySQL / MariaDB issue nested set deadlock... Closed

History
#1 - 2021-04-04 10:29 - Marius BALTEANU
Tests pass on MySQL 8, but issue_nested_set_concurrency_test still fails:

0  redmine git: (feature/postgresgl-13) [0 ruby test/unit/issue_nested_set_concurrency_test.rb
Run options: —--seed 4055

# Running:

E]

Failure:

IssueNestedSetConcurrencyTest#test_concurrency [test/unit/issue_nested_set_concurrency_test.rb:48]:
Expected "Mysqgl2::Error: Deadlock found when trying to get lock; try restarting transaction" to be nil.

rails test test/unit/issue_nested_set_concurrency_test.rb:41

Anyway, considering that MySQL 5.7 is used on Cl, my proposal regarding to MySQL is to update the documentation and mention that we test
Redmine against MySQL 5.7 (#17460) and 8 and drop MySQL 5.5 (#30419) and MySQL 5.6.

What do you think?

#2 - 2022-03-21 21:08 - Marius BALTEANU

- Target version changed from 5.0.0 to Candidate for next major release

#3 - 2023-11-01 00:54 - Go MAEDA
- Related to Defect #39437: MySQL / MariaDB issue nested set deadlocks and consistency added

#4 - 2023-11-18 23:48 - Marius BALTEANU

- Target version changed from Candidate for next major release to 6.0.0

#5 - 2023-11-18 23:49 - Marius BALTEANU
https://www.redmine.org/versions/175
https://www.redmine.org/projects/redmine/repository/svn/revisions/22053
https://gitlab.com/redmine-org/redmine/-/jobs/1151965543
https://www.redmine.org/issues/17460
https://www.redmine.org/issues/30419

- Description updated

#6 - 2023-11-20 22:56 - Marius BALTEANU

- Description updated

| propose to merge the Ruby interpreter and Supported database back-ends from Redminelnstall in a table like the one from the description and
have all the importance notices under it, including footnotes.

Also, | think we should a column with end of support for each Redmine version.
What do you think?

P.S. The table is update based on the changes made by Jean-Philippe on Continuous_integration matrix.

#7 - 2023-11-20 22:57 - Marius BALTEANU

- Description updated

#8 - 2024-01-01 14:37 - Marius BALTEANU
- Status changed from New to Closed

- Resolution set to Fixed

All the changes have been made in Redminelnstall as part of #39437#note-16.
